Computers
Read Computer File
Read a file from a computer
post
/v1/computer/{computerId}/file/read
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
computerIdstring* Required
The ID of the computer
Request Body * Required
Request Body Schema: application/json
pathstring
The absolute path of the file on the computer
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
token: process.env.CHATBOTKIT_API_TOKEN!
})
const response = await cbk.computer.file.read(
computerId,{)}"path":"string"
{"path":"string","contents":"string"}The file was read